Ce forum est en partie financé par l’affichage de publicités. Merci de désactiver votre bloqueur de publicités pour nous permettre de continuer à fournir ce service.

installer programme java (yellownet) sous osX

Discussion dans 'macOS' créé par DaTa, 30 Août 2001.

Modérateurs: Aliboron, bompi, daffyb
  1. DaTa

    DaTa Membre confirmé

    Inscrit:
    1 Février 2001
    Messages:
    148
    J'aime reçus:
    0
    Bonjour!

    J'aimerai installer YellowNet Java Edition sous MacOSX. Pour ceux qui ne connaissent pas, c'est un programme qui me permet de gérer mes sous sur mon compte postal en suisse.

    Il existe une version avec installeur complet pour OS 9, mais pas pour le X. Il me semble pourtant que OSX intégre plus ou moins bien java, alors il devrait être possible d'installer ce programme. Sur la page de téléchargement il existe un fichier install.bin pour les utilisateurs d'unix. Je pense que c'est ce fichier que je dois utiliser, mais je n'ai aucune idée de comment l'installer, alors j'ai besoin de votre aide!
    merci
     
  2. -anonyme-

    -anonyme- Légende

    Inscrit:
    26 Février 2001
    Messages:
    66 286
    J'aime reçus:
    2 668
    <BLOCKQUOTE><font size="1" face="Verdana, Geneva">quote:</font><HR>Posté à l'origine par DaTa:
    Bonjour!

    J'aimerai installer YellowNet Java Edition sous MacOSX. Pour ceux qui ne connaissent pas, c'est un programme qui me permet de gérer mes sous sur mon compte postal en suisse.

    Il existe une version avec installeur complet pour OS 9, mais pas pour le X. Il me semble pourtant que OSX intégre plus ou moins bien java, alors il devrait être possible d'installer ce programme. Sur la page de téléchargement il existe un fichier install.bin pour les utilisateurs d'unix. Je pense que c'est ce fichier que je dois utiliser, mais je n'ai aucune idée de comment l'installer, alors j'ai besoin de votre aide!
    merci
    <HR></BLOCKQUOTE>

    hmmm... bon je viens d'essayer, c'est tres simple:

    - download le fichier install.bin (sur le bureau)
    - ouvre un terminal
    - cd Desktop
    - chmod 755 install.bin
    - ./install.bin

    et suis les infos a l'ecran...

    Par contre je te conseille TRES fortement d'installer
    la version beta de la JVM 1.3.1 dispo sur le site
    d'apple (il faut t'enregistrer sur ADC, c'est gratuit).
    Car cette version corrige ENORMEMENT de problemes
    de la JVM shippee avec OS X 10.0.4 (nottamment
    plein de problemes d'affichage).

    pat++
     
  3. DaTa

    DaTa Membre confirmé

    Inscrit:
    1 Février 2001
    Messages:
    148
    J'aime reçus:
    0
    Merci, j'essaye ça dès que je peux. Je pense que ça devrais marcher.
    Explications:
    J'avais essayé de lancer le fichier depuis le terminal, et ça ne marchais pas. Je pense que macos croyais que c'était un fichier .bin qu'on décompresse avec stuffit, alors que c'est un .bin executable. Donc un petit coup de chmod pour rendre le fichier executable et tout redeviens normal.
     
  4. citron

    citron Membre confirmé

    Inscrit:
    19 Septembre 2000
    Messages:
    144
    J'aime reçus:
    0
    J'ai installé la JVM 1.3.1 puis j'ai lancé l'intallation de Yellownet. Ca me met une erreur comme quoi il n'a pas le bon PATH et quîl ne trouve pas la JVM. Est-ce qu'il faut redéfinir le PATH après avoir mis à jour la JVM.

    help...
     
  5. -anonyme-

    -anonyme- Légende

    Inscrit:
    26 Février 2001
    Messages:
    66 286
    J'aime reçus:
    2 668
    <BLOCKQUOTE><font size="1" face="Verdana, Geneva">quote:</font><HR>Posté à l'origine par citron:
    J'ai installé la JVM 1.3.1 puis j'ai lancé l'intallation de Yellownet. Ca me met une erreur comme quoi il n'a pas le bon PATH et quîl ne trouve pas la JVM. Est-ce qu'il faut redéfinir le PATH après avoir mis à jour la JVM.

    help...
    <HR></BLOCKQUOTE>

    non rien a rajouter dans le PATH normalement...
    la JVM est dans /usr/bin qui est un emplacement
    standard... verifie que ton PATH a bien /usr/bin
    et que java se trouve bien dans ce dossier...

    pat++
     
  6. DaTa

    DaTa Membre confirmé

    Inscrit:
    1 Février 2001
    Messages:
    148
    J'aime reçus:
    0
    voilà, j'ai enfin installé java 1.3.1
    le problème c'est que le programme ne tourne pas. quelqu'un a essayé avec succès?
    moi il me mets les erreurs suivantes au démmarage, apparament à voir avec la sécurité:


    Stack Trace:
    java.lang.SecurityException: Prohibited package name: java.security.cert
    at java.lang.ClassLoader.defineClass(ClassLoader.java:477)
    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:111)
    at java.net.URLClassLoader.defineClass(URLClassLoader.java:248)
    at java.net.URLClassLoader.access$100(URLClassLoader.java:56)
    at java.net.URLClassLoader$1.run(URLClassLoader.java:195)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(URLClassLoader.java:188)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:297)
    at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:286)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:253)
    at yellowNet.Communication.&lt;clinit&gt;(Communication.java:125)
    at yellowNet.Session.openSession(Session.java:269)
    at yellowNet.Main.main(Main.java:57)
    at java.lang.reflect.Method.invoke(Native Method)
    at com.zerog.lax.LAX.launch([DashoPro-V1.2-120198])
    at com.zerog.lax.LAX.main([DashoPro-V1.2-120198])


    Help!!!
     
  7. -anonyme-

    -anonyme- Légende

    Inscrit:
    26 Février 2001
    Messages:
    66 286
    J'aime reçus:
    2 668
    Data,

    j'ai esssaye de lancer le programme et j'ai la
    meme exception.... le probleme n'est pas
    specifique a OS X... j'ai exactement la meme
    erreur sous Linux avec le JDK 1.3.1 ...

    J'ai l'impression que ce soft n'est pas prevu
    pour tourner avec la version 1.3.1 (qq a essaye
    avec la 1.3 ???)... Apparamment... ca doit
    marcher qu'avec les versions 1.1.x....

    pat++
     
  8. DaTa

    DaTa Membre confirmé

    Inscrit:
    1 Février 2001
    Messages:
    148
    J'aime reçus:
    0
    <BLOCKQUOTE><font size="1" face="Verdana, Geneva">quote:</font><HR>Posté à l'origine par pat++:

    Apparamment... ca doit
    marcher qu'avec les versions 1.1.x....

    pat++
    <HR></BLOCKQUOTE>

    en effet, sur le site web y disent d'utiliser la version 1.1.8 [​IMG]
     
  9. simon

    simon Membre d’élite
    Club MacG

    Inscrit:
    18 Juin 2000
    Messages:
    3 669
    J'aime reçus:
    16
    c'est pas marqué la Poste hein [​IMG]

    Et je confirme j'ai aussi la meme erreur, dommage parce que cela être poilant de faire ces payement depuis os X, mais bon ilreste toujours a passer par le site web
     
  10. DaTa

    DaTa Membre confirmé

    Inscrit:
    1 Février 2001
    Messages:
    148
    J'aime reçus:
    0
    J'ai envoyé un mail à yellownet, et ils confirment que ça devrait fonctionner avec OS X dans les futures version:

    <BLOCKQUOTE><font size="1" face="Verdana, Geneva">quote:</font><HR> I just spoke with the developpers of the java edition of yellownet. They told me, that they haven't tested it under OSX jet.
    It is planned, that a future release of the software should work with OSX.

    Sorry I thougt that it works already. <HR></BLOCKQUOTE>
     
  11. ehrlerp

    ehrlerp Nouveau membre

    Inscrit:
    12 Mars 2007
    Messages:
    1
    J'aime reçus:
    0
    There is now a new yellownet Java Edition for Mac users available. It works even with Intel on Mac.

    Downloadpage is:
    https://www.yellownet.ch/java/installers/mac/yellownet_setup.zip

    Download this zip-file in a new folder, unpack and install it.

    Only one installation is necessary. The application will be updated automatically.
     
  12. Alberto

    Alberto Nouveau membre

    Inscrit:
    15 Juin 2004
    Messages:
    1
    J'aime reçus:
    0
  13. Dos Jones

    Dos Jones Va modo va molo...
    Club MacG

    Inscrit:
    17 Juin 2004
    Messages:
    19 591
    J'aime reçus:
    2 041
    Sur ce, pour une meilleure lisibilité, il serait bon pour certains d'apprendre à utiliser le bouton "Citer"&#8230;
     
Modérateurs: Aliboron, bompi, daffyb
Chargement...